package com.hotent.project.model;

import com.baomidou.mybatisplus.annotation.FieldFill;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.hotent.base.entity.BaseModel;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import java.time.LocalDateTime;
import com.baomidou.mybatisplus.annotation.TableId;
import java.io.Serializable;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import com.fasterxml.jackson.annotation.JsonProperty;
/**
 * 年度监审计划表
 *
 * @company 山西清众科技股份有限公司
 * @author 超级管理员
 * @since 2025-09-22
 */
@ApiModel(value="CostAnnualPlan对象", description="年度监审计划表")
public class CostAnnualPlan extends BaseModel<CostAnnualPlan> {

    private static final long serialVersionUID = 1L;
    @ApiModelProperty(value = "主键")
    @TableId(value = "plan_id", type = IdType.ASSIGN_ID)
    @JsonProperty("planId")
    private String planId;
    
    @ApiModelProperty(value = "计划年度")
    @TableField("plan_year")
    @JsonProperty("planYear")
    private String planYear;

    
    @ApiModelProperty(value = "关联成本监审目录id")
    @TableField("catalog_id")
    @JsonProperty("catalogId")
    private String catalogId;
    
    @ApiModelProperty(value = "成本监审项目名称")
    @TableField("project_name")
    @JsonProperty("projectName")
    private String projectName;
    
    @ApiModelProperty(value = "监审时间（如“上半年”“三季度”）")
    @TableField("audit_time")
    @JsonProperty("auditTime")
    private String auditTime;
    
    @ApiModelProperty(value = "监审形式")
    @TableField("audit_type")
    @JsonProperty("auditType")
    private String auditType;
    
    @ApiModelProperty(value = "监审主体id")
    @TableField("org_id")
    @JsonProperty("orgId")
    private String orgId;
    
    @ApiModelProperty(value = "逻辑删除：0正常 1删除")
    @TableField("is_deleted")
    @JsonProperty("isDeleted")
    private String isDeleted;

    @ApiModelProperty(value = "创建时间")
    @TableField(value = "create_time", fill = FieldFill.INSERT)
    @JsonProperty("createTime")
    private LocalDateTime createTime;

    @ApiModelProperty(value = "创建人")
    @TableField(value = "create_by", fill = FieldFill.INSERT)
    @JsonProperty("createBy")
    private String createBy;

    @ApiModelProperty(value = "更新时间")
    @TableField(value = "update_time", fill = FieldFill.INSERT_UPDATE)
    @JsonProperty("updateTime")
    private LocalDateTime updateTime;

    @ApiModelProperty(value = "更新人")
    @TableField(value = "update_by", fill = FieldFill.INSERT_UPDATE)
    @JsonProperty("updateBy")
    private String updateBy;
    
    @ApiModelProperty(value = "监审单位id")
    @TableField("audited_unit_id")
    @JsonProperty("auditedUnitId")
    private String auditedUnitId;
    
    @ApiModelProperty(value = "监审单位名称")
    @TableField("audited_unit_name")
    @JsonProperty("auditedUnitName")
    private String auditedUnitName;
    
    @ApiModelProperty(value = "单位级别：0:省/自治区/直辖市 1:市级 2:县级")
    @TableField("area_level")
    @JsonProperty("areaLevel")
    private String areaLevel;
    
    @ApiModelProperty(value = "所属区域代码")
    @TableField("area_code")
    @JsonProperty("areaCode")
    private String areaCode;
    

    public String getPlanId() {
        return planId;
    }

    public void setPlanId(String planId) {
        this.planId = planId;
    }
    public String getPlanYear() {
        return planYear;
    }

    public void setPlanYear(String planYear) {
        this.planYear = planYear;
    }

    public String getCatalogId() {
        return catalogId;
    }

    public void setCatalogId(String catalogId) {
        this.catalogId = catalogId;
    }

    public String getProjectName() {
        return projectName;
    }

    public void setProjectName(String projectName) {
        this.projectName = projectName;
    }
    public String getAuditTime() {
        return auditTime;
    }

    public void setAuditTime(String auditTime) {
        this.auditTime = auditTime;
    }
    public String getAuditType() {
        return auditType;
    }

    public void setAuditType(String auditType) {
        this.auditType = auditType;
    }
    public String getOrgId() {
        return orgId;
    }

    public void setOrgId(String orgId) {
        this.orgId = orgId;
    }
    public String getIsDeleted() {
        return isDeleted;
    }

    public void setIsDeleted(String isDeleted) {
        this.isDeleted = isDeleted;
    }
    public LocalDateTime getCreateTime() {
        return createTime;
    }

    public void setCreateTime(LocalDateTime createTime) {
        this.createTime = createTime;
    }
    public String getCreateBy() {
        return createBy;
    }

    public void setCreateBy(String createBy) {
        this.createBy = createBy;
    }
    public LocalDateTime getUpdateTime() {
        return updateTime;
    }

    public void setUpdateTime(LocalDateTime updateTime) {
        this.updateTime = updateTime;
    }
    public String getUpdateBy() {
        return updateBy;
    }

    public void setUpdateBy(String updateBy) {
        this.updateBy = updateBy;
    }
    public String getAuditedUnitId() {
        return auditedUnitId;
    }

    public void setAuditedUnitId(String auditedUnitId) {
        this.auditedUnitId = auditedUnitId;
    }
    public String getAuditedUnitName() {
        return auditedUnitName;
    }

    public void setAuditedUnitName(String auditedUnitName) {
        this.auditedUnitName = auditedUnitName;
    }

    public String getAreaLevel() {
        return areaLevel;
    }

    public void setAreaLevel(String areaLevel) {
        this.areaLevel = areaLevel;
    }

    public String getAreaCode() {
        return areaCode;
    }

    public void setAreaCode(String areaCode) {
        this.areaCode = areaCode;
    }

    @Override
    protected Serializable pkVal() {
        return this.planId;
    }

    @Override
    public String toString() {
        return "CostAnnualPlan{" +
            "planId=" + planId +
            ", planYear=" + planYear +
            ", catalogId=" + catalogId +
            ", projectName=" + projectName +
            ", auditTime=" + auditTime +
            ", auditType=" + auditType +
            ", orgId=" + orgId +
            ", isDeleted=" + isDeleted +
            ", createTime=" + createTime +
            ", createBy=" + createBy +
            ", updateTime=" + updateTime +
            ", updateBy=" + updateBy +
            ", auditedUnitId=" + auditedUnitId +
            ", auditedUnitName=" + auditedUnitName +
        "}";
    }
}
